# Class RemoveWalletPasswordRequest

#### Hierarchy

- unknown
  - RemoveWalletPasswordRequest

- Defined in src/protobuf/grpc_pb.d.ts:3486
- Defined in src/protobuf/grpc_pb.d.ts:3498

#####
Index

### Constructors

constructor

### Methods

getPassword
serializeBinary
setPassword
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RemoveWalletPasswordRequest(): RemoveWalletPasswordRequest

- #### Returns RemoveWalletPasswordRequest

  Inherited from jspb.Message.constructor

## Methods

### getPassword

- getPassword(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3487

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3490

### setPassword

- setPassword(value: string): RemoveWalletPasswordRequest

- #### Parameters

  - ##### value: string

  #### Returns RemoveWalletPasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3488

### toObject

- toObject(includeInstance?: boolean): RemoveWalletPasswordRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RemoveWalletPasswordRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3491

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RemoveWalletPasswordRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RemoveWalletPasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3494

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RemoveWalletPasswordRequest, reader: BinaryReader): RemoveWalletPasswordRequest

- #### Parameters

  - ##### message: RemoveWalletPasswordRequest

  - ##### reader: BinaryReader

  #### Returns RemoveWalletPasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3495

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RemoveWalletPasswordRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RemoveWalletPasswordRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3493

### `Static` toObject

- toObject(includeInstance: boolean, msg: RemoveWalletPasswordRequest): RemoveWalletPasswordRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RemoveWalletPasswordRequest

  #### Returns RemoveWalletPasswordRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3492

Generated using TypeDoc